(*^

::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "X Window System Mathematica Notebook Front End Version 2.2";

	X11StandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, fontName, "times";
	fontset = subtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, fontName, "times";
	fontset = subsubtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, fontName, "times";
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, fontName, "times";
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, fontName, "times";
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, fontName, "times";
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, fontName, "times";
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold,  12, fontName, "courier";
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, fontName, "courier";
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23,  12, fontName, "courier";
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, fontName, "courier";
	fontset = name, inactive, noPageBreakInGroup, nohscroll, preserveAspect, M7, italic, B65535,  10, fontName, "times";
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  12, fontName, "times";
	fontset = leftheader,  12, fontName, "times";
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, italic,  12, fontName, "times";
	fontset = leftfooter,  12, fontName, "times";
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "courier";
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, fontName, "times";currentKernel; 
]
:[font = input; preserveAspect]
Clear[showdata,gnuplot];
showdata := Function[ {func,plotrange},
        Level[InputForm[FullGraphics[Show[func,
	PlotRange->plotrange,DisplayFunction->Identity,
	Axes->False]]],{-2}]];
gnuplot[func_,plotrange_,filename_]:= Put[
	OutputForm[NumberForm[TableForm[
	showdata[func,plotrange]],
	NumberFormat -> (SequenceForm[#1,"e",#3]&)]],
        filename];

;[s]
1:0,0;357,-1;
1:1,0,0 ,courier,1,14,0,0,0;
:[font = input; initialization; preserveAspect; fontSize = 14]
*)

(* ------------------------------------------------------------------- *)
(* General calculations                                                *)
(* ------------------------------------------------------------------- *)
Clear[fba,tcs,dfba,dtcs,ratio,rationh];
Clear[fbanh,tcsnh,dfbanh,dtcsnh];
Clear[u,ghf,gh];
Clear[s,z,mh,mq,ml,mf,aq,zql,zqr];
gf = (1.17 10^(-5));
sint = Sqrt[0.231];
cost = Sqrt[1 - sint^2];
gal = -sint;
gab = -1/3 sint;
gat = 2/3 sint;
gzll = 1/(2 cost) (-1 + 2 sint^2);
gzrl = (sint^2)/cost;
gzlb = 1/(2 cost) (-1 + 2/3 sint^2);
gzrb = 1/3 (sint^2)/cost;
gzlt = 1/(2 cost) (1 - 4/3 sint^2);
gzrt = -2/3 (sint^2)/cost;
me = 0;
mu = 105.66 10^(-3);
mtau = 1.777;
muq = 0;
mc = 1;
mt = 180;
md = 0.01;
ms = 0.2;
mb = 4.3;
mz = 91.19;
mw = 80.33;
gz = 2.49;
ghf[nc_,mh_,mf_] := ((nc gf)/(4 Sqrt[2] Pi) (mf^2)/mh 
	Sqrt[1 - (4 mf^2)/(mh^2)]);
gh[mh_] := (ghf[3,mh,muq] + ghf[3,mh,mc] + ghf[3,mh,md] +
	ghf[3,mh,ms] + ghf[3,mh,mb] + ghf[1,mh,me] + 
	ghf[1,mh,mu] + ghf[1,mh,mtau]);
u[s_,mq_,ml_] := Sqrt[(s^2 - 4 mq^2)(s^2 - 4 ml^2)];
fba[s_,mh_,mq_,ml_,aq_,zlq_,zrq_] := (3/4 1/(16 Pi s^2) 32 gf^2)(
	((-2 mw^4)/((s^2 - mz^2)^2 + mz^2 gz^2))(
		(gzll^2 - gzrl^2)(zlq^2 - zrq^2) u[s,mq,ml] s^2 - 
		4/mz^2 (gzll^2 - gzrl^2)(zlq^2 - zrq^2) u[s,mq,ml] s^4) - 
	((4 mw^4)/s^2)((s^2 - mz^2)/((s^2 - mz^2)^2 + mz^2 gz^2)) gal aq (
		gzll - gzrl)(zlq - zrq) u[s,mq,ml] s^2 + 
	2 mw^2 ml^2 mq^2 (((s^2 - mh^2)(s^2 - mz^2) + mh mz gz gh[mh])/(
		((s^2 - mh^2)^2 + mh^2 gh[mh]^2)((s^2 - mz^2)^2 + mz^2 gz^2)))(
		gzll + gzrl)(zlq + zrq) u[s,mq,ml] + 
	2 mw^2 (ml^2 mq^2)/s^2 (
		(s^2 - mh^2)/((s^2 - mh^2)^2 + mh^2 gh[mh]^2)) gal aq u[s,mq,ml]);
tcs[s_,mh_,mq_,ml_,aq_,zlq_,zrq_] := (3/4 1/(16 Pi s^2) 32 gf^2 2)(
	((mw^4)/((s^2 - mz^2)^2 + mz^2 gz^2))(
		(gzll^2 + gzrl^2)(zlq^2 + zrq^2)(s^4 + 1/3 u[s,mq,ml]^2) + 
		8 mq^2 zlq zrq (gzll^2 + gzrl^2)(s^2 - 2 ml^2) + 
		8 ml^2 gzll gzrl (zlq^2 + zrq^2)(s^2 - 2 mq^2) + 
		2/mz^2 (2/(mz^2) (gzll - gzrl)^2 (zlq - zrq)^2 ml^2 mq^2 s^4 - 
		(gzll^2 + gzrl^2)(zlq^2 + zrq^2) s^6 + 
		4 (gzll^2 + gzrl^2) zlq zrq mq^2 s^4 + 
		4 (zlq^2 + zrq^2) gzll gzrl ml^2 s^4 - 
		16 gzll gzrl zlq zrq ml^2 mq^2 s^2)) + 
	((mw^4)/(s^4)) (gal aq)^2 (s^4 + 1/3 u[s,mq,ml]^2 + 4 s^2 (ml^2 + mq^2)) + 
	1/16 ((ml^2 mq^2)/((s^2 - mh^2)^2 + mh^2 gh[mh]^2)) u[s,mq,ml]^2 + 
	((2 mw^4)/s^2)((s^2 - mz^2)/((s^2 - mz^2)^2 + mz^2 gz^2)) gal aq (
		gzll + gzrl)(zlq + zrq)(s^4 + 1/3 u[s,mq,ml]^2 + 4 s^2 (ml^2 + mq^2)));
dfba[s_,mh_,mq_,ml_,aq_,zlq_,zrq_] := (
	fba[s,mh,mq,ml,aq,zlq,zrq] - fba[s,mh,mq,me,aq,zlq,zrq]);
dtcs[s_,mh_,mq_,ml_,aq_,zlq_,zrq_] := (
	tcs[s,mh,mq,ml,aq,zlq,zrq] - tcs[s,mh,mq,me,aq,zlq,zrq]);
fbanh[s_,mq_,ml_,aq_,zlq_,zrq_] := (3/4 1/(16 Pi s^2) 32 gf^2)(
	((-2 mw^4)/((s^2 - mz^2)^2 + mz^2 gz^2))(
		(gzll^2 - gzrl^2)(zlq^2 - zrq^2) u[s,mq,ml] s^2 - 
		4/mz^2 (gzll^2 - gzrl^2)(zlq^2 - zrq^2) u[s,mq,ml] s^4) - 
	((4 mw^4)/s^2)((s^2 - mz^2)/((s^2 - mz^2)^2 + mz^2 gz^2)) gal aq (
		gzll - gzrl)(zlq - zrq) u[s,mq,ml] s^2);
tcsnh[s_,mq_,ml_,aq_,zlq_,zrq_] := (3/4 1/(16 Pi s^2) 32 gf^2 2)(
	((mw^4)/((s^2 - mz^2)^2 + mz^2 gz^2))(
		(gzll^2 + gzrl^2)(zlq^2 + zrq^2)(s^4 + 1/3 u[s,mq,ml]^2) + 
		8 mq^2 zlq zrq (gzll^2 + gzrl^2)(s^2 - 2 ml^2) + 
		8 ml^2 gzll gzrl (zlq^2 + zrq^2)(s^2 - 2 mq^2) + 
		2/mz^2 (2/(mz^2) (gzll - gzrl)^2 (zlq - zrq)^2 ml^2 mq^2 s^4 - 
		(gzll^2 + gzrl^2)(zlq^2 + zrq^2) s^6 + 
		4 (gzll^2 + gzrl^2) zlq zrq mq^2 s^4 + 
		4 (zlq^2 + zrq^2) gzll gzrl ml^2 s^4 - 
		16 gzll gzrl zlq zrq ml^2 mq^2 s^2)) + 
	((mw^4)/(s^4)) (gal aq)^2 (s^4 + 1/3 u[s,mq,ml]^2 + 4 s^2 (ml^2 + mq^2)) + 
	((2 mw^4)/s^2)((s^2 - mz^2)/((s^2 - mz^2)^2 + mz^2 gz^2)) gal aq (
		gzll + gzrl)(zlq + zrq)(s^4 + 1/3 u[s,mq,ml]^2 + 4 s^2 (ml^2 + mq^2)));
dfbanh[s_,mq_,ml_,aq_,zlq_,zrq_] := (
	fbanh[s,mq,ml,aq,zlq,zrq] - fbanh[s,mq,me,aq,zlq,zrq]);
dtcsnh[s_,mq_,ml_,aq_,zlq_,zrq_] := (
	tcsnh[s,mq,ml,aq,zlq,zrq] - tcsnh[s,mq,me,aq,zlq,zrq]);
ratio[s_,mh_,mq_,ml_,aq_,zlq_,zrq_] := (
	dfba[s,mh,mq,ml,aq,zlq,zrq]/dtcs[s,mh,mq,ml,aq,zlq,zrq]);
rationh[s_,mq_,ml_,aq_,zlq_,zrq_] := (
	dfbanh[s,mq,ml,aq,zlq,zrq]/dtcsnh[s,mq,ml,aq,zlq,zrq]);



(*
:[font = input; preserveAspect]
(* ------------------------------------------------------------------- *)
(* Total cross-section                                                *)
(* ------------------------------------------------------------------- *)
tcsssbu = Plot[dtcs[s,200,mb,mu,gab,gzlb,gzrb],{s,10,1000}]
tcsssbun = Plot[dtcsnh[s,mb,mu,gab,gzlb,gzrb],{s,10,1000}]
tcssstu = Plot[dtcs[s,200,mt,mu,gat,gzlt,gzrt],{s,360,1000}]
tcssstun = Plot[dtcsnh[s,mt,mu,gat,gzlt,gzrt],{s,360,1000}]
tcsmhbu = Plot[dtcs[400,mh,mb,mu,gab,gzlb,gzrb],{mh,40,1000}]
tcsmhtu = Plot[dtcs[400,mh,mt,mu,gat,gzlt,gzrt],{mh,40,1000}]


;[s]
1:0,0;586,-1;
1:1,0,0 ,courier,1,14,0,0,0;
:[font = input; preserveAspect]
tcsssbt = Plot[dtcs[s,200,mb,mtau,gab,gzlb,gzrb],{s,10,1000}]
tcsssbtn = Plot[dtcsnh[s,mb,mtau,gab,gzlb,gzrb],{s,10,1000}]
tcssstt = Plot[dtcs[s,200,mt,mtau,gat,gzlt,gzrt],{s,360,1000}]
tcsssttn = Plot[dtcsnh[s,mt,mtau,gat,gzlt,gzrt],{s,360,1000}]
tcsmhbt = Plot[dtcs[400,mh,mb,mtau,gab,gzlb,gzrb],{mh,40,1000}]
tcsmhtt = Plot[dtcs[400,mh,mt,mtau,gat,gzlt,gzrt],{mh,40,1000}]


;[s]
1:0,0;377,-1;
1:1,0,0 ,courier,1,14,0,0,0;
:[font = input; preserveAspect]
gnuplot[tcsssbt,Automatic,"tcsssbt.dat"]
gnuplot[tcsssbtn,Automatic,"tcsssbtn.dat"]
gnuplot[tcssstt,Automatic,"tcssstt.dat"]
gnuplot[tcsssttn,Automatic,"tcsssttn.dat"]
gnuplot[tcsmhbt,Automatic,"tcsmhbt.dat"]
gnuplot[tcsmhtt,Automatic,"tcsmhtt.dat"]

;[s]
1:0,0;250,-1;
1:1,0,0 ,courier,1,14,0,0,0;
:[font = input; preserveAspect]

:[font = input; preserveAspect]
(* ------------------------------------------------------------------- *)
(* FB asymmetry                                                       *)
(* ------------------------------------------------------------------- *)
fbassbu = Plot[dfba[s,200,mb,mu,gab,gzlb,gzrb],{s,10,1000}]
fbassbun = Plot[dfbanh[s,mb,mu,gab,gzlb,gzrb],{s,10,1000}]
fbasstu = Plot[dfba[s,200,mt,mu,gat,gzlt,gzrt],{s,360,1000}]
fbasstun = Plot[dfbanh[s,mt,mu,gat,gzlt,gzrt],{s,360,1000}]
fbamhbu = Plot[dfba[400,mh,mb,mu,gab,gzlb,gzrb],{mh,40,1000}]
fbamhtu = Plot[dfba[400,mh,mt,mu,gat,gzlt,gzrt],{mh,40,1000}]


;[s]
1:0,0;586,-1;
1:1,0,0 ,courier,1,14,0,0,0;
:[font = input; preserveAspect]
gnuplot[fbassbu,Automatic,"fbassbu.dat"]
gnuplot[fbassbun,Automatic,"fbassbun.dat"]
gnuplot[fbasstu,Automatic,"fbasstu.dat"]
gnuplot[fbasstun,Automatic,"fbasstun.dat"]
gnuplot[fbamhbu,Automatic,"fbamhbu.dat"]
gnuplot[fbamhtu,Automatic,"fbamhtu.dat"]

;[s]
1:0,0;250,-1;
1:1,0,0 ,courier,1,14,0,0,0;
:[font = input; preserveAspect]
fbassbt = Plot[dfba[s,200,mb,mtau,gab,gzlb,gzrb],{s,10,1000}]
fbassbtn = Plot[dfbanh[s,mb,mtau,gab,gzlb,gzrb],{s,10,1000}]
fbasstt = Plot[dfba[s,200,mt,mtau,gat,gzlt,gzrt],{s,360,1000}]
fbassttn = Plot[dfbanh[s,mt,mtau,gat,gzlt,gzrt],{s,360,1000}]
fbamhbt = Plot[dfba[400,mh,mb,mtau,gab,gzlb,gzrb],{mh,40,1000}]
fbamhtt = Plot[dfba[400,mh,mt,mtau,gat,gzlt,gzrt],{mh,40,1000}]

;[s]
1:0,0;376,-1;
1:1,0,0 ,courier,1,14,0,0,0;
:[font = input; preserveAspect]
gnuplot[fbassbt,Automatic,"fbassbt.dat"]
gnuplot[fbassbtn,Automatic,"fbassbtn.dat"]
gnuplot[fbasstt,Automatic,"fbasstt.dat"]
gnuplot[fbassttn,Automatic,"fbassttn.dat"]
gnuplot[fbamhbt,Automatic,"fbamhbt.dat"]
gnuplot[fbamhtt,Automatic,"fbamhtt.dat"]

;[s]
1:0,0;250,-1;
1:1,0,0 ,courier,1,14,0,0,0;
:[font = input; preserveAspect]
(* ------------------------------------------------------------------- *)
(* Ratio                                                               *)
(* ------------------------------------------------------------------- *)
ratiobu = Plot[ratio[s,200,mb,mu,gab,gzlb,gzrb],{s,10,1000}]
ratiobun = Plot[rationh[s,mb,mu,gab,gzlb,gzrb],{s,10,1000}]
ratiotu = Plot[ratio[s,200,mt,mu,gat,gzlt,gzrt],{s,360,1000}]
ratiotun = Plot[rationh[s,mt,mu,gat,gzlt,gzrt],{s,360,1000}]


;[s]
1:0,0;467,-1;
1:1,0,0 ,courier,1,14,0,0,0;
:[font = input; preserveAspect]
gnuplot[ratiobu,Automatic,"fbassbt.dat"]
gnuplot[ratiobun,Automatic,"fbassbtn.dat"]
gnuplot[ratiotu,Automatic,"fbasstt.dat"]
gnuplot[ratiotun,Automatic,"fbassttn.dat"]

;[s]
1:0,0;168,-1;
1:1,0,0 ,courier,1,14,0,0,0;
^*)